<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}
?>
<div class="templatepopcentering" >
    <div id='pop' style="padding:5px;">
        <form id="frm_pen_penolakan_perpanajangan_thnn" class="templatepopform" method="" action="">
            <table style="padding:5px;">
                <tr><td colspan="2" class="templatepoptitle">
                <?php 
                    $i=1;
                    foreach ($template->result() as $template)
                    {
                        if ($i=='1')
                        {
                            $chrutama=$template->namatemplate;
                            $arrchrutama=explode("oleh",$chrutama);
                            $jns=$template->jnsperkara;
                        }
                        else
                        {
                            $nextchr=$template->namatemplate;
                            $arrchr=explode(" ",$nextchr);
                            //$jumarrchr=count($arrchr);
                            $lastchr="";
                            $lastchr=$arrchrutama[0]."atau ".$arrchr[4]." oleh ".$arrchrutama[1];
                            //echo $lastchr;
                        }
                        //echo strtoupper($template->namatemplate."<br/>Perkara ".$template->jnsperkara);
                        $i++;
                    }
                        echo strtoupper($lastchr."<br/>Perkara ".$jns);
                ?>
                </td></tr>
                    <tr>
                        <td class="templatepopleftcol">Nama Terdakwa<font color=red>*</font></td>
                        <td style="">
                            <span class="custom-dropdown custom-dropdown--emerald" style="border:1px #ddd solid">
                                <select style='width:250px;'  name="terdakwa" id="terdakwa" class="custom-dropdown__select custom-dropdown__select--white">
                                    <option value='-1'>--Pilih Nama Terdakwa--</option>
                                    <?php
                                    foreach ($dataterdakwa->result() as $row) {
                                        $pihak_id = base64_encode($this->encrypt->encode($row->pihak_id));
                                        echo "<option value='".$pihak_id."' pihakke='".$row->urutan."'>".$row->nama."</option>";
                                    }
                                    ?>
                                </select>
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td class="templatepopleftcol">Penetapan Penolakan<font color=red>*</font></td>
                        <td style="">
                            <span class="custom-dropdown custom-dropdown--emerald" style="border:1px #ddd solid">
                                <select style='width:250px;'  name="permintaan" id="permintaan" class="custom-dropdown__select custom-dropdown__select--white">
                                    <option value='-1'>--Pilih Jenis Penetapan Penolakan--</option>
                                    <option value='1'>Tahanan KPN Permintaan Penyidik Pasal 29</option>
                                    <option value='2'>Tahanan KPN Permintaan PU Pasal 29</option>
                                </select>
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td class="templatepopleftcol">Tanggal Penetapan Ini Dibuat<font color="red">*</font></td>
                                <td style="">
                                <input id="tgl_penetapan" name="tgl_penetapan" value="<?php echo date('d/m/Y');?>" class="datepicker" maxlength="10" placeholder="tgl/bln/tahun">
                        </td>
                    </tr>
                        <td colspan="2" style="background:white;padding-top:20px" align="center">
                            <input type="button" id="kembali" value="Kembali" class="btn">
                            <input type="button" id="cetak" onClick='print_template();' value="Cetak" class="btn">
                        </td>
                    </tr>
                </table>
            </form>
        </div>
    </div>
<?php
//ini untuk validasi tanggal
$curr_date = date('d/m/Y');
echo "<input type='hidden' id='curr_date' name='curr_date' value=$curr_date>";
foreach ($dataperkara->result() as $row){
echo "<input type='hidden' id='tglPendaftaran' name='tglPendaftaran' value=$row->tanggal_pendaftaran>";}
?>

<script type="text/javascript">
$('#kembali').closingFormWin();

function print_template(){
    /*var idperkara = '<?php echo $idperkara; ?>'*/
    /*var terdakwa = $('#terdakwa').val();*/
    /*var permintaan= $('#permintaan').val();*/
    var idperkara = '<?php echo $enc; ?>';
    var tgl_penetapan= $('#tgl_penetapan').val();
    var idterdakwa = $('#terdakwa option:selected').attr('value');
    var permintaan = $('#permintaan option:selected').attr('value');
    var tgl_penetapan = $('#tgl_penetapan').val();
    /*var tgl_penetapan_new=tgl_penetapan.replace(/[/]/g,'_');*/

    if(idterdakwa==-1){
        alert('Pilih nama terdakwa !');
        return;
    }
    if(permintaan==-1){
        alert('Pilih jenis penolakan !');
        return;
    }

    /*window.open('<?php echo base_url("c_template_penetapan/cetak_penetapan_penolakan_perpanjangan_tahanan")?>/'
          +idperkara+
        '/'+terdakwa+
        '/'+permintaan+
        '/'+tgl_penetapan_new,'_self');*/
    window.open('<?php echo base_url("c_template_penetapan/cetak_penetapan_penolakan_perpanjangan_tahanan")?>/'
          +idperkara+
        '/'+idterdakwa+
        '/'+permintaan+
        '/'+tgl_penetapan,'_self');

};


$( function() {
        $('#tgl_penetapan').datepicker({
            inline: true,
            showOtherMonths: true,
            dateFormat: 'dd/mm/yy',
            dayNamesMin: ['Ming', 'Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab'],
            onSelect: function(dateText, inst) {
                var date = $(this).datepicker('getDate');
                var dayOfWeek = weekday[date.getDay()];
                var error = 0;
                var message ='';
                var tmp = $(this).val().split("/");
                var tmp2 = $('#curr_date').val().split("/");
                var tanggal_pendaftaran = '<?php echo $row->tanggal_pendaftaran; ?>';
                var tmp3 = tanggal_pendaftaran.split("-");

                if(dayOfWeek=='Sunday' || dayOfWeek=='Saturday'){
                    message ='Tidak Dapat Memilih diluar Hari Kerja.';
                    error = 1;
                }

                if((new Date(tmp[2],tmp[1],tmp[0]).getTime() <= new Date(tmp3[0],tmp3[1],tmp3[2]).getTime())){
                    message = 'Tidak Dapat Memilih Tanggal Sebelum Atau Tepat Pada Tanggal Pendaftaran';
                    error = 1
                }

                if((new Date(tmp[2],tmp[1],tmp[0]).getTime() > new Date(tmp2[2],tmp2[1],tmp2[0]).getTime())){
                    message = 'Tidak Dapat Memilih Melebihi Hari ini. Sekarang Tanggal '+$('#curr_date').val();
                    error = 1
                }

                if(error==1){
                    message_error_show(message);
                    $(this).css("background-color", "red");
                }else{
                    $(this).css("background-color", "#dedbdb");
                }

            }
        });
});
</script>